[Ironruby-core] Rake error with IronRuby on Mono - PathName2 / System.dll

Ivan Porto Carrero ivan at whiterabbitconsulting.eu
Tue Mar 9 07:48:06 EST 2010


don't do rake try using the ./build script

it sets an environment variable MERLIN_ROOT

you need ruby 1.8.x to build it and you need to install the pathname2 gem
---
Met vriendelijke groeten - Best regards - Salutations
Ivan Porto Carrero - Mob: +32.486.787.582
Web: http://whiterabbitconsulting.eu - http://flanders.co.nz
Twitter: http://twitter.com/casualjim
Author of IronRuby in Action (http://manning.com/carrero)
Microsoft IronRuby/C# MVP


On Tue, Mar 9, 2010 at 5:06 AM, Cory Foy <cory.foy at gmail.com> wrote:

> Hi Ivan,
>
>
> Ivan Porto Carrero wrote:
>
>> It's a pitty those instructions are around because they are really
>> outdated
>>
>> you can get a mono built binary for RC2 here:
>> http://dl.dropbox.com/u/21717/ironruby-rc2.tar.bz2
>>
>> if you want to build on mono and get a few launcher scripts you can use my
>> linux branch from
>> git://github.com/casualjim/ironruby.git
>>
>>
>> to compile:
>> cd ironruby
>> ./build
>>
>> The rake build requires ruby 1.8
>>
>
>
> I got the exact same Pathname2 error - I did a git clone from your repo and
> did a rake. Any thoughts?
>
> But the binary seems to be working fine, so that will be a good start.
>
> Thanks!
>
>
> Cory
> _______________________________________________
> Ironruby-core mailing list
> Ironruby-core at rubyforge.org
> http://rubyforge.org/mailman/listinfo/ironruby-core
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/ironruby-core/attachments/20100309/a237e1c8/attachment.html>


More information about the Ironruby-core mailing list